﻿
$ErrorActionPreference = 'Stop';

$packageName= 'dotnetcore-sdk'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.visualstudio.microsoft.com/download/pr/458eda17-3e47-4b99-8c83-e762a8c1f41f/f19b0647f60580a94bcd49817e12586d/dotnet-sdk-2.1.512-win-x86.exe'
$checksum   = '086eb9dba667fc6bb90f858abb7ff164bd0a7f3dad6f9c3e6393b9af7aa88d56c8b931f379cd008951a174674cd67fdce0eb55061dd3553493639dfc9e98f7a3'
$url64      = 'https://download.visualstudio.microsoft.com/download/pr/5e651460-8be6-4530-bfa9-e3d0bd7323ae/cd007b52ba0ffb21227083919870a827/dotnet-sdk-2.1.512-win-x64.exe'
$checksum64 = 'fd26060ae46d550191a06bf5b7b25435d62e0af8e6d8e58b322c370303623532be12719474a2faed9fd20ea29e7aa18160d397c8c2554a00e2d1e97b9d12fcb6'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = "/install /quiet /norestart /log `"$env:TEMP\$($packageName)\$($packageName).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'dotnet-core*'
  checksum      = $checksum
  checksumType  = 'SHA512'
  checksum64    = $checksum64
}

Install-ChocolateyPackage @packageArgs
